$(document).ready(function() {
    permisosCargar();
});

function permisosCargar() {
    $.ajax({
        type: 'post',
        url: 'permisosCargar-ajax.php',
        success: function(data) {
            $("#tableContent").html(data).fadeIn('slow');
            jQuery('#tablaPermisos').DataTable({
                responsive: true
            });
        },
        error: function(msg) {

            alert('No se pudo cargar la información');

        },
        complete: function() {

        }
    })

}

function solicitaRecuperar(par1, par2) {

    $.ajax({
        url: 'puertasRecuperar-ajax.php?par1=' + par1,
        success: function(data) {

            $("#div_datos").html(data).fadeIn('slow');
            $('#md_modal_puerta').modal('show');

        }
    })

}

function puertaEliminarConfirmar(par1, par2) {

    $('#md_modal_confirmar_lbl_mensaje').text('');
    $('#md_modal_confirmar_txt_id').val(par1);
    $('#md_modal_confirmar_titulo').text('Eliminación de una puerta');
    $('#md_modal_confirmar_div_contenido').html('¿Está seguro de eliminar la puerta <b>' + par2 + '</b>?');
    $('#md_modal_confirmar_btn_aceptar').unbind()
    $('#md_modal_confirmar_btn_aceptar').click(puertaEliminar);
    $('#md_modal_confirmar').modal('show');

}

function puertaEliminar() {

    var v_par1 = $('#md_modal_confirmar_txt_id').val();
    $.ajax({
        type: 'post',
        url: 'puertasEliminar-ajax.php',
        data: {
            par1: v_par1
        },
        dataType: 'json',
        beforeSend: function() {
            mostrar_blockUI();
        },
        success: function(msg) {
            if (msg.success) {
                cargarPuertas();
                $('#md_modal_confirmar').modal('hide');
                $('#md_modal_mensaje').modal('show');
                $('#md_modal_mensaje_titulo').text('Eliminación de una puerta');
                $('#md_modal_mensaje_div_contenido').html('La puerta fue eliminada correctamente.');

            } else {
                $('#md_modal_confirmar_lbl_mensaje').text(msg.mensaje);
            }
        },
        error: function(msg) {
            $('#md_modal_confirmar_lbl_mensaje').text('No se pudo eliminar la puerta');
        },
        complete: function() {
            ocultar_blockUI();			
        }

    });

}

function guardarPuerta() {
    $.ajax({
        type: 'post',
        url: 'puertasGuardar-ajax.php',
        dataType: 'json',
        beforeSend: function() {
            //mostrar_blockUI();
        },
        async: false,
        data: $("#frm_puerta").serialize(),
        success: function(msg) {

            if (msg.success) {
                // Credenciales aceptadas
                cargarPuertas();
                $('#md_modal_puerta').modal('hide');
                $('#md_modal_mensaje_titulo').text('Guardar puerta');
                $('#md_modal_mensaje_div_contenido').html(msg.mensaje);
                $('#md_modal_mensaje_cerrar').unbind()
                $('#md_modal_mensaje').modal('show');

            } else {

                $('#md_modal_puerta').modal('hide');
                $('#md_modal_mensaje_cerrar').unbind()
                $('#md_modal_mensaje_cerrar').click(mostrarPuerta);
                $('#md_modal_mensaje_titulo').text('Guardar puerta');
                $('#md_modal_mensaje_div_contenido').html(msg.mensaje);
                $('#md_modal_mensaje').modal('show');

            }
        },
        error: function(msg) {

            // Error en la llamada al archivo de autenticación
            alert('Error');
        },
        complete: function() {

            //ocultar_blockUI();

        }
    });

}

function mostrarPuerta() {

    $('#md_modal_puerta').modal('show');
    $('#cmb_bodega').focus();

}